Vestax VCI-380
+
Vestax VCI-380

VCI-380, MIDI Steuergerät für DJ from Vestax belonging to the VCI-380 model.

public price: 849 € TTC
Price engine
Kleinanzeigen
Foren
  • Textgrösse erhöhen oder verringern
  • Drucken
content in English
JimboSpins 25/03/2013

Vestax VCI-380: Produktbewertung von JimboSpins (content in English)

"Windows 7"
4

  • Like
  • Tweet
  • +1
  • Mail
The Vestax VCI is a 2 Channel DJ control that also has a digital mixer on it. This control has everything needed to be a gigging DJ for any style of venue. If you are a “true scratching” DJ than this console will fit you perfectly. It has two turntable style platters that feel great. Pretty much everything you could as for in a unit like this is available in the VCI 380. There are 2 x 8 banks of trigger pads that can be used as a slicer, looping functions, or even FX functions. I mainly only used the pads for FX triggers and maybe some hot cue’s, but for the most part FX functions so I could quickly and easily just throw FX sounds in on any mix at any time.
The pads are touch sensitive as well, I was able to hold the pads down and that would let me modify the FX parameters easily. Setting up this unit was pretty simple and didn’t take much effort being that I am pretty seasoned in setting up DJ controllers and digital mixers. But even the “newbie” should not have any issues setting it up because the manual is well written and easy to read through.
There are mic inputs that are balanced on this unit and RCA line inputs. The bit depth is 24 bit and there are AD/DA converters. You can use this unit on either a Mac or a PC but if you are on a PC you will need to at at least be running Windows 7, I have tried with previous versions of Windows and it didn’t work properly and had many driver issues. I am not sure if they have fixed this issue or not with a driver update. But on the actual box it even said that minimum requirements are Windows 7 on a PC. Also 2GB of RAM is needed as well. The Mac requirements are not bad. You just need to be running OS X 10.6 or higher.